Description

The first migration is not rollback-able

with :

@rake redmine:plugins:migrate NAME=<plugin_name> VERSION=<version_name>

because there is no previous migration to migrate to.

Here is a patch to be able to rollback plugins, with a steps parameter

History

#1 - 2014-05-14 14:36 - Jérôme BATAILLE

Any chance that this straightforward patch can be integrated ?

#2 - 2014-07-30 11:40 - Jérôme BATAILLE

Example of usage :

rake redmine:plugins:rollback NAME=<plugin_name> STEP=1

#3 - 2022-01-15 06:42 - Go MAEDA

- Status changed from New to Needs feedback

Jérôme BATAILLE wrote:

The first migration is not rollback-able

with :

@rake redmine:plugins:migrate NAME=<plugin_name> VERSION=<version_name>

because there is no previous migration to migrate to.

 You can roll back all migrations including the first one by specifying "VERSION=0".

bin/rake redmine:plugins:migrate NAME=<plugin_name> VERSION=0

#4 - 2022-04-10 03:12 - Jérôme BATAILLE

@go You can close this issue, I have no time anymore to contribute to Redmine.

#5 - 2022-05-04 10:05 - Go MAEDA

- Status changed from Needs feedback to Closed

Redmine already has the suggested feature. See #14971#note-3.

Files

redmine_plugin_rollback_RMV2.3.2.diff 2.58 KB 2013-09-23 Jérôme BATAILLE
